<?xml version="1.0" encoding="UTF-8"?>
<persistence version="2.1"
             xmlns="http://xmlns.jcp.org/xml/ns/persistence"
             xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
             xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/persistence 
             http://xmlns.jcp.org/xml/ns/persistence/persistence_2_1.xsd">

	<persistence-unit name="PersistenceUnit" transaction-type="RESOURCE_LOCAL">
	<!-- 
	must pom.xml:
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-entitymanager</artifactId>
			<version>${hibernate.version}</version>
		</dependency>      
	and persistence.xml:	
		<provider>org.hibernate.ejb.HibernatePersistence</provider>
	otherwise: 
		javax.persistence.PersistenceException: 
		No Persistence provider for EntityManager named PersistenceUnit
	 -->	
		<properties>
			<property name="javax.persistence.jdbc.driver" value="oracle.jdbc.driver.OracleDriver" />
			<property name="javax.persistence.jdbc.url" value="jdbc:oracle:thin:@10.0.31.7:1521:occdb" />
			<property name="javax.persistence.jdbc.user" value="cp2" />
			<property name="javax.persistence.jdbc.password" value="Devcp2!" />		
				
			<property name="hibernate.dialect" value="org.hibernate.dialect.Oracle10gDialect"/>
			<property name="hibernate.hbm2ddl.auto" value="create" />
			<property name="hibernate.show_sql" value="true" />
			<property name="hibernate.format_sql" value="true" />
		</properties>
	</persistence-unit>
</persistence>


